# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QSNYM.dll
OBJFILES = QSNYM.obj QSnym\QSnymVer.obj QSnym\NymEditDlgs.obj \
   QSnym\NymRemsDlgs.obj QSnym\NymRepDlgs.obj QSnym\NymDecDlgs.obj \
   QSnym\NymWizDlgs.obj QSnym\FingerDlgs.obj QSnym\NymIntrDlgs.obj \
   QSnym\NymRestPgpDlgs.obj QSnym\NymCnclDlgs.obj QSnym\NymPrevBlkDlgs.obj \
   QSnym\NymRptsDlgs.obj QSnym\NymRegistryDlgs.obj QSnym\NymNewDlgs.obj \
   QSnym\NymMsgDlgs.obj QSnym\NymKeyChngDlgs.obj QSshared\MixDlgs.obj \
   QSshared\HelpDlgs.obj QSshared\View.obj QSshared\PGPbuffers.obj \
   QSshared\nymmail.obj QSshared\Global.obj QSshared\FileMan.obj \
   QSshared\Mixmaster.obj QSshared\HeadMan.obj QSshared\PgpFiles.obj \
   QSshared\pgpmail.obj QSshared\WipeDlgs.obj QSshared\Cyberpunk.obj \
   QSshared\tbuffer.obj QSshared\MsgBoxDlgs.obj QSnym\NymDhDssDlgs.obj \
   QSnym\NymRSABitsDlgs.obj NymDeleteDlgs.obj QSshared\BrokeChnDlgs.obj
RESFILES = QSnym\QSnym.res
RESDEPEN = $(RESFILES) QSnym\NymEditDlgs.dfm QSnym\NymRemsDlgs.dfm \
   QSnym\NymRepDlgs.dfm QSnym\NymDecDlgs.dfm QSnym\NymWizDlgs.dfm \
   QSnym\FingerDlgs.dfm QSnym\NymIntrDlgs.dfm QSnym\NymRestPgpDlgs.dfm \
   QSnym\NymCnclDlgs.dfm QSnym\NymPrevBlkDlgs.dfm QSnym\NymRptsDlgs.dfm \
   QSnym\NymRegistryDlgs.dfm QSnym\NymNewDlgs.dfm QSnym\NymMsgDlgs.dfm \
   QSnym\NymKeyChngDlgs.dfm QSshared\MixDlgs.dfm QSshared\HelpDlgs.dfm \
   QSshared\View.dfm QSshared\WipeDlgs.dfm QSshared\MsgBoxDlgs.dfm \
   QSnym\NymDhDssDlgs.dfm QSnym\NymRSABitsDlgs.dfm NymDeleteDlgs.dfm \
   QSshared\BrokeChnDlgs.dfm
LIBFILES = 
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -WD -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I.\qsnym;.\qsshared;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U.\qsnym;.\qsshared;$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -I.\qsnym;.\qsshared;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -i.\qsnym;.\qsshared;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn 
LFLAGS = -L.\qsnym;.\qsshared;$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -aa -Tpd -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0d32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<

.copy:
   -copy qsnym.dll ..\qsnym.dll

#-----------------------------------------------------------------------------

