# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QSPGP.dll
OBJFILES = QSPGP.obj QSpgp\PgpRecipDlgs.obj QSpgp\PgpPassEx.obj \
   QSpgp\PgpDlgs.obj QSpgp\PgpCache.obj QSpgp\PgpSdk1.obj QSpgp\PgpPath.obj \
   QSpgp\QSpgpVer.obj QSpgp\PgpMsg.obj QSpgp\pgpdb.obj QSshared\HelpDlgs.obj \
   QSshared\WipeDlgs.obj QSshared\View.obj QSshared\Mixmaster.obj \
   QSshared\TBuffer.obj QSshared\PGPbuffers.obj QSshared\FileMan.obj \
   QSshared\HeadMan.obj QSshared\fmxutils.obj QSshared\Global.obj \
   QSshared\pgpfiles.obj QSshared\pgp.obj QSpgp\pgpkeyexpdlgs.obj \
   QSpgp\pgpkeyimpdlgs.obj
RESFILES = QSpgp\QSpgp.res
RESDEPEN = $(RESFILES) QSpgp\PgpRecipDlgs.dfm QSpgp\PgpPassEx.dfm \
   QSpgp\PgpDlgs.dfm QSshared\HelpDlgs.dfm QSshared\WipeDlgs.dfm \
   QSshared\View.dfm QSpgp\pgpkeyexpdlgs.dfm QSpgp\pgpkeyimpdlgs.dfm
LIBFILES = QSshared\Zlib.lib
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -WD -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -DPGP_WIN32 \
   -I.\qspgp;.\qsshared;.\qspgp\sdk\1.7.8\headers;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -DPGP_WIN32 \
   -U.\qspgp;.\qsshared;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn;$(BCB)\lib\obj;$(BCB)\lib \
   -I.\qspgp;.\qsshared;.\qspgp\sdk\1.7.8\headers;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn;$(BCB)\include;$(BCB)\include\vcl \
   -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -DPGP_WIN32 \
   -i.\qspgp;.\qsshared;.\qspgp\sdk\1.7.8\headers;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn;$(BCB)\include;$(BCB)\include\vcl \
   PGP_WIN32
LFLAGS = -L.\qspgp;.\qsshared;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn;$(BCB)\lib\obj;$(BCB)\lib \
   -aa -Tpd -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0d32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------
